Subject: Butterfly Checklists

From: Hank Brodkin <[email-masked]>
Date: Wed, 30 Aug 1995 11:53:23 -0700

Does anyone know where to get copies of a checklist of butterflies of the
San Francisco Bay area?  Some of us would like to get a copy - and the
Los Angeles Audubon Society bookstore might like to stock them for sale.
Also - are there any other local area butterfly checklists available -
just for my own curiosity.
TIA

--------------------------------------------------------------------------
        Hank Brodkin <[email-masked]> Marina Del Rey, CA
                        33.58'24"N 118.27'39"W
 finger <[email-masked]> for information about the Calbird-L Mail List